package com.bytedance.android.livesdk.model.message;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.Map;

public final class LinkerUpdateUserContent {
    public static final Long LIZ = 0L;
    public static final Long LIZIZ = 0L;
    @c(LIZ = "from_user_id")
    public Long LIZJ;
    @c(LIZ = "to_user_id")
    public Long LIZLLL;
    @c(LIZ = "update_info")
    public Map<String, String> LJ;

    static {
        Covode.recordClassIndex(19079);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LIZJ != null) {
            sb.append(", from_user_id=");
            sb.append(this.LIZJ);
        }
        if (this.LIZLLL != null) {
            sb.append(", to_user_id=");
            sb.append(this.LIZLLL);
        }
        if (!this.LJ.isEmpty()) {
            sb.append(", update_info=");
            sb.append(this.LJ);
        }
        sb.replace(0, 2, "LinkerUpdateUserContent{");
        sb.append('}');
        return sb.toString();
    }
}
